<?php

namespace App\Filament\Resources\VolumeHoraires\Tables;

use App\Actions\DownloadTemplateAction;
use App\Actions\ExportExcelAction;
use App\Actions\ImportExcelAction;
use App\Imports\VolumeHoraireImport;
use App\Exports\VolumeHoraireExport;
use Filament\Actions\BulkActionGroup;
use Filament\Actions\DeleteBulkAction;
use Filament\Actions\EditAction;
use Filament\Tables\Table;

class VolumeHorairesTable
{
    public static function configure(Table $table): Table
    {
        return $table
            ->columns([
                //
            ])
            ->filters([
                //
            ])
            ->recordActions([
                EditAction::make(),
            ])
            ->toolbarActions([
                ImportExcelAction::makeImport(VolumeHoraireImport::class),
                ExportExcelAction::makeExport(VolumeHoraireExport::class, 'volumes_horaires_export.xlsx'),
                DownloadTemplateAction::makeTemplate('volume_horaire', 'template_volumes_horaires.xlsx'),
                BulkActionGroup::make([
                    DeleteBulkAction::make(),
                ]),
            ]);
    }
}
